Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Java] Sous chroot 32 bits
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
SiOu
Apprentice
Apprentice


Joined: 08 Apr 2005
Posts: 271

PostPosted: Sun Nov 23, 2008 1:14 pm    Post subject: [Java] Sous chroot 32 bits Reply with quote

Bonjour ,

J'ai récemment creer un chroot 32 bits pour pouvoir faire tourner flex-builder sous eclpise ( car flex-builder nécessite d'avoir java et eclipse en 32bits , étant sous une plateforme 64 bits java en 32bits c'est gerable mais éclipse ... ) , oui oui ils sont vraiment très bon chez adobe ....

Donc voila pour parrer ce petit problème d'éclipse 32 bits , j'ai créée un chroot 32 bits ou j'ai installer java et eclipse , mais le soucis c'est qu'apparemment il sous mon chroot mon j'avais est mal paramétré car j'ai ce méssage d'érreur du lancement du binaire de flexbuilder :

Quote:
Gentoo siou # ./flexbuilder_linux_install_a4_081408.bin
Preparing to install...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...
No Java virtual machine could be found from your PATH
environment variable. You must install a VM prior to
running this program.


J'ai pourtant fait cela :

Quote:
Gentoo siou # java-check-environment
* === Java Environment Checker ===
* The purpose of this script is to check the sanity of your Java Environment.
* We have significantly changed and improved the way Java is handled in many
* respects.
* Please refer to our upgrade guide for details:
* http://www.gentoo.org/proj/en/java/java-upgrade.xml

* Checking fastjar ... [ ok ]

* Checking vm_environment_files ... [ ok ]

* Checking user_settings ...
* Running as root. Don't need to check user settings. [ ok ]

* Checking generation_1_system_vm ... [ ok ]

* Checking virtual_provides ... [ ok ]

* Checking overlays_eclasses ... [ ok ]

* Checking package_env ... [ ok ]

* Java environment is sane. Congratulations!


Quote:
Gentoo siou # java-config -L
The following VMs are available for generation-2:
1) Sun JDK 1.4.2.18 [sun-jdk-1.4]
*) Sun JDK 1.6.0.07 [sun-jdk-1.6]


Je ne comprends absolument pas le problème la ...

Si vous pouvez m'éclairer ! Merci d'avance
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 8123
Location: ~Brussels - Belgique

PostPosted: Sun Nov 23, 2008 10:11 pm    Post subject: Reply with quote

Fais-tu un "env-update && source /etc/profile" une fois que tu as chrooté ?
et "dispatch-conf" après l'install ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
SiOu
Apprentice
Apprentice


Joined: 08 Apr 2005
Posts: 271

PostPosted: Mon Nov 24, 2008 10:20 pm    Post subject: Reply with quote

Exact , c'était bien cela ! mais cependant j'ai une nouvelle érreur :(

Quote:
Gentoo siou # ./flexbuilder_linux_install_a4_081408.bin
Preparing to install...
Extracting the installation resources from the installer archive...
Configuring the installer for this system's environment...

Launching installer...

Java HotSpot(TM) Client VM warning: Can't detect initial thread stack location
#
# An unexpected error has been detected by HotSpot Virtual Machine:
#
# Internal Error (4F533F4C494E55583F491418160E4350500385), pid=7207, tid=4158556368
#
# Java VM: Java HotSpot(TM) Client VM (1.4.2_18-b06 interpreted mode)
# An error report file with more information is saved as hs_err_pid7207.log
#
# If you would like to submit a bug report, please visit:
# http://java.sun.com/webapps/bugreport/crash.jsp
#
Abandon


Ca me broutte java ~~
Back to top
View user's profile Send private message
Bio
Apprentice
Apprentice


Joined: 17 Mar 2003
Posts: 197
Location: Geneva which should be in Switzerland...

PostPosted: Tue Nov 25, 2008 8:31 am    Post subject: Reply with quote

Hello SiOu, je vais te donner une réponse qui n'en est pas vraiment une... Plutôt un retour d'expérience

Cela fait plus d'un an que je m'intéresse à Flex et j'ai tout naturellement essayé de le mettre en place sur mon environnement Gentoo. Après pas mal de batailles : certaines perdues, d'autres gagnées j'ai laissé tomber et, malheureusement, tous mes développements Flex ont lieu sur plate forme Windows.

Voilà les différents points qui m'ont fait revenir sur Windows (juste pour les dev Flex), à toi d'en juger

- Le Flex Builder Linux fourni par Adobe n'est qu'une béta et n'est absolument pas mis à jour. Exemple, au 17 novembre, FB version win = 3.0.2, SDK 3.2. Version Linux FB = 3.0, SDK = 3.0. En 3.0 il y a pas mal de bug, ça ne marche pas sous Eclipse 3.4 etc... Donc c'est vraiment le problème qui m'a forcé à retourner sous Win...
- FB pour Linux n'implémente pas le designer graphique
- Pas possible d'installer AIR pour linux qui est toujours en version Alpha


Enfin voilà en se contraignant bien on peut bosser sur Flex sous Linux, mais pour moi ça représentait trop de contraintes.
_________________
I'm all in !
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum